Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.reader
Class CacheableMultiReader

    java.lang.Object
      org.apache.lucene.index.IndexReader
          org.apache.lucene.index.MultiReader
              org.hibernate.search.reader.CacheableMultiReader

All Implemented Interfaces:
  java.lang.Cloneable

    public class CacheableMultiReader

extends org.apache.lucene.index.MultiReader

MultiReader ensuring equals returns true if the underlying readers are the same (and in the same order) Especially useful when using `CachingWrapperFilter`

Author:
  Emmanuel Bernard

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader
`org.apache.lucene.index.IndexReader.FieldOption`

Field Summary

Fields inherited from class org.apache.lucene.index.IndexReader
`hasChanges`

Constructor Summary
`CacheableMultiReader(org.apache.lucene.index.IndexReader[] subReaders)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` only available since 2.3
`int` | `hashCode()`

Methods inherited from class org.apache.lucene.index.MultiReader
`clone, docFreq, doClose, doCommit, doCommit, document, doDelete, doReopen, doSetNorm, doUndeleteAll, getFieldNames, getSequentialSubReaders, getTermFreqVector, getTermFreqVector, getTermFreqVector, getTermFreqVectors, getVersion, hasDeletions, hasNorms, isCurrent, isDeleted, isOptimized, maxDoc, norms, norms, numDocs, reopen, termDocs, termPositions, terms, terms`

Methods inherited from class org.apache.lucene.index.IndexReader
`acquireWriteLock, clone, close, commit, commit, decRef, deleteDocument, deleteDocuments, directory, document, ensureOpen, flush, flush, getCommitUserData, getCommitUserData, getCurrentVersion, getCurrentVersion, getCurrentVersion, getDisableFakeNorms, getFieldCacheKey, getIndexCommit, getRefCount, getTermInfosIndexDivisor, getUniqueTermCount, incRef, indexExists, indexExists, indexExists, isLocked, isLocked, lastModified, lastModified, lastModified, listCommits, main, numDeletedDocs, open, open, open, open, open, open, open, open, open, open, open, open, open, open, reopen, reopen, setDisableFakeNorms, setNorm, setNorm, setTermInfosIndexDivisor, termDocs, termPositions, undeleteAll, unlock`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheableMultiReader

    public CacheableMultiReader(org.apache.lucene.index.IndexReader[] subReaders)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  only available since 2.3

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.